Arquivo da categoria: Lisp

Inserir Comprimento e Distância de Coletores

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Primeiro você define os dados com a rotina 1 e depois executando a rotina 2 você vai clicando nos “endpoints” dos segmentos alinhados que representam os coletores … Continuar lendo

Publicado em AutoCAD, Água, Engenharia Civil, Esgoto, Lisp, Redes | Deixe um comentário

Obter e Somar as Áreas de Vários Objetos de uma só vez

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Soma as áreas de todos os objetos selecionados (defun c:SomarTS() (command “undo” “m”) (setq en 0 k 0 d 0)(setq o (ssget)) ;(command “change” o “” “p” … Continuar lendo

Publicado em Arquitetura, AutoCAD, Desenho, Engenharia Civil, Lisp | 1 Comentário

Alterar Dimensões "Explodidas"

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo:;; Calcula o comprimento de uma linha e o apresenta num texto selecionado. (defun c:Linha2TXT()(setq obi (entsel))(setq obi1 (entget (nth 0 obi)))(setq k 100)(while obi1(setq k (- k 1))(setq … Continuar lendo

Publicado em Arquitetura, AutoCAD, Dimensionar, Engenharia Civil, Lisp | Deixe um comentário

Desenhar linhas com as cotas dos textos selecionados

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Desenha linhas com as cotas dos textos selecionados;; Útil para transformar um desenho 2D em 3D. Por exemplo: caso tenha um projeto de rede de esgoto apenas … Continuar lendo

Publicado em Arquitetura, AutoCAD, Desenho, Engenharia Civil, Lisp | Deixe um comentário

Movendo e Multiplicando um Texto

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Você clica num texto ele é apagado e, então, é pedido um novo ponto onde ele será rescrito modificado (se ele se for um número entre 10 … Continuar lendo

Publicado em Arquitetura, AutoCAD, Lisp, Mover, Multiplicar | Deixe um comentário

Desenhar diretamente linhas em três dimensões

Continuando com as Rotinas Lisps (Como usar as Rotinas Lisp?)Mais um exemplo: ;; Útil para o desenho de redes de água e esgoto por exemplo;; Desenhar linhas em três dimensões, determina-se o ponto com o cursor e entra-se como valor;; … Continuar lendo

Publicado em AutoCAD, Engenharia Civil, Lisp | Deixe um comentário

Desenhar círculos em volta dos textos selecionados

;; Desenha círculos em volta dos textos selecionados.;; As Express Tools já incorporaram este recurso mas vale a pena saber como fazer (defun c:CTXT() (setq en 0 k 0)(setq o (ssget)) (while en (setq en (ssname o k)) (setq ob … Continuar lendo

Publicado em AutoCAD, Engenharia Civil, Lisp | Deixe um comentário